# File: recolaConfig.cmake.in
# Author: Jean-Nicolas Lang
# Description: Config file for creating the recola library package
# Last Modified: March 02, 2018

# It defines the following variables
#  RECOLA_LIBRARY_DIR - include directories for project library
#  RECOLA_INCLUDE_DIR - include directories for project headers
#  RECOLA_LIBRARY_PATH - path to the recola library file

set(RECOLA_LIBRARY_DIR "/usr/lib64")
set(RECOLA_INCLUDE_DIR "/usr/include")
add_library(recola SHARED IMPORTED)
find_library(RECOLA_LIBRARY_PATH recola HINTS "${RECOLA_LIBRARY_DIR}" NO_DEFAULT_PATH)
set_target_properties(recola PROPERTIES IMPORTED_LOCATION "${RECOLA_LIBRARY_PATH}")
include_directories(${RECOLA_INCLUDE_DIR})
